Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 21 May 2022 07:09:47 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect My order wasn't ready even after 48hrs. Before ordering I first contacted customer care to understand how long it takes to prepare the order if I select the option click&collect and I was informed it takes 24-48 hrs. I'm extremely dissatisfied that my order is not ready even after 48hrs.
I was in urgent need of this item hence I selected click and collect option but unfortunately turned out to be a nightmare. I want to file a complaint and want strict action against those who passed wrong information or whoever didn't  do his job well.

Regards 
Firdos https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4382977